%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Postr is a Flickr uploading tool for the GNOME desktop
Name:		postr
Version:	0.13.1
Release:	%mkrel 5
License:	GPLv2+
Group:		Graphics/Utilities
Url:		http://projects.gnome.org/postr/
Source0:	https://download.gnome.org/sources/%name/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(nautilus-python) >= 0.6.1
BuildRequires:	pkgconfig(pygtk-2.0)
BuildRequires:	intltool
BuildRequires:	gnome-doc-utils
Requires:	pygtk2.0
Requires:	python-twisted-core
Requires:	python-twisted-web
Requires:	nautilus-python
Requires:	gnome-python-gconf
BuildArch:	noarch

%description
Postr is a Flickr uploading tool for the GNOME desktop, which aims to
be simple to use but exposing enough of Flickr to be useful.

%prep
%setup -q

%build
# Redefine the target platform away from noarch, as configure will fail
# otherwise, even though nothing cpu-specific is built
%define _target_platform %{_host_cpu}-%{_real_vendor}-%{_target_os}
%configure2_5x --with-nautilus-extension-dir=%{_datadir}/nautilus-python/extensions
%make

%install
%make_install
%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc README AUTHORS COPYING TODO
%{_bindir}/postr
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/applications/*
%{_datadir}/nautilus-python/extensions/*
%{py_puresitedir}/%{name}


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 0.13.1-5.mga6
+ Revision: 971803
- Mageia 6 Mass Rebuild

* Tue Oct 20 2015 danf <danf> 0.13.1-4.mga6
+ Revision: 892909
- Make the package noarch

* Wed Oct 15 2014 umeabot <umeabot> 0.13.1-3.mga5
+ Revision: 747388
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.13.1-2.mga5
+ Revision: 687742
- Mageia 5 Mass Rebuild

* Wed Jul 23 2014 ovitters <ovitters> 0.13.1-1.mga5
+ Revision: 655757
- new version 0.13.1

  + pterjan <pterjan>
    - Rebuild for new Python

* Sat Oct 19 2013 umeabot <umeabot> 0.13-2.mga4
+ Revision: 530728
- Mageia 4 Mass Rebuild

* Sun Jul 28 2013 fwang <fwang> 0.13-1.mga4
+ Revision: 459378
- update file list
- update file list
- update file list
- update ext dir
- add more br
- br intltool
- use configure
- new version 0.13

* Sun Jan 13 2013 umeabot <umeabot> 0.12.4-4.mga3
+ Revision: 378130
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Thu Oct 04 2012 ovitters <ovitters> 0.12.4-3.mga3
+ Revision: 302771
- fix rpm group
- clean spec
- Import from Mandriva


* Mon Oct 31 2011 Götz Waschk <waschk@mandriva.org> 0.12.4-3mdv2012.0
+ Revision: 707977
- rebuild
- update build deps
- update URL

* Sat Oct 30 2010 Götz Waschk <waschk@mandriva.org> 0.12.4-2mdv2011.0
+ Revision: 590552
- rebuild for new python

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 0.12.4-1mdv2010.1
+ Revision: 460726
- new version
- drop patch

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 0.12.3-1mdv2010.0
+ Revision: 420833
- fix summary
- fix upload button
- fix installation on 64 bit
- fix license
- add missing deps

  + Eugeni Dodonov <eugeni@mandriva.com>
    - 0.12.3
    - Created package structure for postr.

